apropos(1)

NAME
apropos - sucht die Manualkurzbeschreibung in der Indexdatenbank

SYNTAX
apropos [-dhV] [-e|-r|-w ] [-m System[,...]] [-M Pfad] Schlüsselwort ...

BESCHREIBUNG
Innerhalb jeder Manualseite ist eine Kurzbeschreibung vorhanden. apropos sucht das Schlüsselwort in den Kurzbeschreibungen der Indexdatenbank. Falls es eine solche nicht im Manualpfad gibt, durchsucht es die whatis- Datenbank nach Schlüsselwort. Das Schlüsselwort kann Wildcards oder reguläre Ausdrücke enthalten. Bei der Standardsuche (nicht bei -r oder -w) wird nach Treffern am Anfang von Worten in den Beschreibungen und in Befehlsnamen gesucht. Die Nicht-Standardsuche ist weiter unten beschrieben.

OPTIONEN

-d, --debug
    Ausgeben von Fehlerinformationen.

-e, --exact
    Sucht nach einem genau passenden Wort, im Gegensatz zu der sonst üblichen fuzzy-Übereinstimmung. Beispielsweise wird in diesem Fall das Schlüsselwort `string' nicht in dem Text `strings' gefunden. Ein Treffer muß also sowohl am Anfang als auch am Ende des Wortes übereinstimmen.

-r, --regex
    Interpretiert jedes Schlüsselwort als regulären Ausdruck. Jedes Schlüsselwort wird im Befehlsnamen und in der Beschreibung gesucht. Die Übereinstimmung ist nicht durch Wortgrenzen beschränkt.

-w, --wildcard
    Das Schlüsselwort kann Wildcards wie in der Shell (z. B. *, ?, ...) beinhalten. Das Schlüsselwort wird in den Befehlsnamen und in den Kurzbeschreibungen gesucht. Nur wenn ein expandiertes Schlüsselwort auf eine komplette Beschreibung oder einen Befehlsnamen paßt, wird eine Übereinstimmung gefunden.

-m System [,...], --systems=System [,...]
    Wenn auch Manualseiten von einem anderen Betriebssystem installiert sind, so kann auf sie mit dieser Option zugegriffen werden. Um beispielsweise die Manualseiten von NewOS zu durchsuchen, muß -m NewOS angegeben werden. Das angegebene System kann eine durch Kommata abgetrennte Aufzählung von Betriebssystemnamen sein. Die normalen Seiten werden durch den Betriebssystemnamen man angesprochen. Diese Option überschreibt die Umgebungsvariable $SYSTEM.

-M Pfad, --manpath=Pfad
    Gibt die Manualpfade an. Wenn mehrere Pfade angegeben werden, müssen diese durch Doppelpunkte getrennt sein. Als Default benutzt apropos manpath, um den Suchpfad zu bestimmen. Diese Option überschreibt die $MANPATH Umgebungsvariable.

-h, --help
    Zeigt einen Hilfstext an.

-V, --version
    Zeigt Programmversion und Autor an.

DATEIEN

/var/catman/.../index.(bt|db|dir|pag)
    Die FSSTND complianten globalen Indexdatenbanken.

/usr/man/.../whatis
    Traditionelle whatis Datenbank.

SIEHE AUCH
whatis(1), man(1), mandb(8).

FEHLER
Wenn die -r oder -w Optionen benutzt werden und in einem Schlüsselwort Shell-Metazeichen vorkommen, kann es notwendig sein, Schlüsselwort zu quoten, damit die Shell nicht versucht, diese Zeichen zu interpretieren. Die -r und -w Optionen können verwirrende Ausgaben erzeugen.

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk), die deutsche Übersetzung ist von Anke Steuernagel (a_steuer@informatik.uni-kl.de) und Nils Magnus (magnus@informatik.uni-kl.de).